## net.sf.saxon.regex
Class SurrogateRegexTranslator.Dot

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.Dot

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Dot

extends SurrogateRegexTranslator.CharClass

Character class representing the characters matched by the XPath "." metacharacter

Constructor Summary
`SurrogateRegexTranslator.Dot()` Create a character class for the "." metacharacter

Method Summary
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`addNonBmpRanges, getContainsBmp, getContainsNonBmp, getSingleChar, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.Dot

    public SurrogateRegexTranslator.Dot()

  Create a character class for the "." metacharacter

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.CharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Specified by:
    `outputBmp` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.CharClass`
  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Specified by:
    `outputComplementBmp` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `buf` - the supplied buffer

Copyright (c) Saxonica Limited. All rights reserved.